Subject: Re: bug#37347: 'guix environment' fails after trying to follow the steps from "Running Guix Before It Is Installed" page

From: Bengt Richter <[email-masked]>
Date: Fri, 4 Oct 2019 15:27:47 -0700

On +2019-10-04 09:15:56 +0200, Jelle Licht wrote:
> Bengt Richter <[email-masked]> writes:
> 
> > [snip]
> > ...
> > [19:40 ~/bs]$ ping guix.gnu.org
> > ping: guix.gnu.org: Name or service not known
> I actually have this sometimes as well. Are you on a less-than-stellar
> WiFi-connection perhaps? I noticed the default (nscd?) configuration on
> Guix systems caches 'negative' results for quite a while.
> 
> Could you try this command again after issuing:
> `sudo herd invalidate nscd hosts'?
> 
> HTH!
> - Jelle

Hi Jelle, thanks for your reply.

I am a grateful courtesy guest sharer of internet access in
a small office complex via cat5 to their switches, so it should
not be a WiFi problem.

I get DNS automatically along with ip from their server dhcp,
but I have other options I could explore.

I can't try the herd command right now, as I am in strictly "foreign"
mode at the moment.

--Ignorable note about that:
(I am busy making a ~/.my_login_ctl.d that will contain the means
to log in with and without guix profiles visible, and PATH etc set
alternately. The idea is so I can just use touch to select features
implemented as files to be sourced from ~/.my_login_ctl.d/my_login_ctl
which I'll call from ~/.bash_profile. (~/.bashrc is also modified),
and then log in and get guix and Shepherd/herd etc -- or not.

I'm hoping this will help me debug differences between plain ArchLinux
and the latter with guix binarily installed, with and w/o Shepherd/herd also.
as I don't expect my problems of /usr vs /gnu to go away for a while :-)

BTW, I don't want to define a whole different /home/me_for_alternate_mode,
I want to switch from console to console with Alt-Fx and start a new mode
at worst by touching a file or two and logging out and logging back in.)
--Ignorable note about that:--

If the ip number to guix.gnu.org is fixed and public, maybe I
could try putting it in /etc/hosts ?

If there is no objection, I'd like to try that.
TIA if posting the ip number, or explaining why not ;-)
--
Regards,
Bengt Richter